Subject: RE: [ANN] Cygwin DEV survey
From: "Smith, Martin" <[email-masked]>
To: Cygwin <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 8 Mar 1999 10:30:04 -0000

I think this is an excellent idea and, as Tripp says, several people
probably already have this on their long-term to-do list :-)

Here are a few other thoughts/suggestions. Feel free to reject them if they
are not appropriate ! I realise there are a lot of suggestions here but
there's no need to do them all at once (or at all for that matter) - a core
CD package would be fine with me :-)

*	What about text/binary mounts - I get the feeling binary mounts are
preferred for most applications but, by default, the Cygnus tools install
with text mounts. Is it wise to change this to binary for a 'development'
install or not?
*	What about environment variables? At the moment these are in a batch
file but I usually add them to my NT environment and call Bash directly. Is
this appropriate? What about other settings like term etc? Is there any
"best" environment?
*	Once installed, how best to manage updates to included packages? Is
there any advantage to using RPM or would it be best to stick with
tarballs/diff/patch initially? I don't think many people are using any form
of package management on cygwin yet but perhaps this would be useful?
*	Would this include helper scripts like the modified "install" which
many packages need to cope with .exe extensions? I'm sure there have been a
few more handy scripts/wrappers on this list as well.
*	Would/could it set up /bin, /etc mounts as well as the default ones
provided by Cygwin?
*	It would be handy if it could (eventually) offer to set inetutils up
for you as well (as an NT service if you are on NT). Don't know how feasible
this one is...
*	Of course, using InstallShield, you could offer some of these as
options under "Custom" setup.

Anyway, that's enough from me. I certainly support this suggestion and think
it would be a good way of allowing more people to get up & running with the
Cygwin tools without having to go through the regular FAQ session first :-)
If you need a Beta tester for any of this, let me know ;-)

Regards,
	Martin

> -----Original Message-----
> From:	Stipe Tolj [SMTP:[email-masked]]
> Sent:	Sunday, March 07, 1999 5:08 PM
> To:	Cygwin
> Subject:	[ANN] Cygwin DEV survey
> 
> I have planned this for about a year and now I would like to hear from
> other cygwin users what they think about it. Mostly I'm interested in
> the opinion of the cygwin core developers.
> 
> We would like to compile a set of files containing
> 
>     - latest cygwin full.exe distrbution
>     - latest pre-compiled egcs replacement
>     - latest cygwin-snapshots
>     - pre-compiled libraries and headers for /usr/local/include and
> /usr/local/lib
>         - like X11R6.4, crypt, ncurses, gmp, readline, gd, ...
>     - pre-compiled applications for /usr/local/
>         - like X11R6.4, XEmacs, LyX, GIMP, mSQL, PostgreSQL, Apache,
> inetutils, ssh
> 
> and all the other ports available at ftp.franken.de
> 
>     - any available sources for the pre-compiled cygwin ports
>     - cygwin documentation
>     - a HTML mirror of the complete mailing list contents
> 
> to a Cygwin DEV (Development Environment) CD-ROM like the RedHat or SuSE
> Linux distributions. This package should enable users to install Cygwin
> on a clean Win32 system with all required software allready available
> via CD.
> 
> Currently all files should fit on a single CD. There won't be a CD
> distribution (at least for now), but we will provide the complete set of
> files for burning such a CD from our web site (and hopefully some
> mirrors around the world).
> 
> We would like to use the latest InstallShield version, so new users may
> install the base Cygwin b20.1 distrbition and any other components very
> modular via InstallShield selection windows.
> 
> Any comments towards this idea are very welcome.
> 
> Regards,
> Stipe
> 
> --
> Stipe Tolj <[email-masked]>
> 
> Cygwin Porting Project -- "We build UNIX on top of Windows"
> http://www.student.uni-koeln.de/cygwin/
> 
> Department of Economical Computer Science
> University of Cologne, Germany
> 
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]